postgresql-common 96 source package in Ubuntu

Changelog

postgresql-common (96) unstable; urgency=low

  * debian/supported-versions: Add "Debian 5.0" aka Lenny.
    (Closes: #509144)
  * debian/README.Debian: Document port handling, and point to
    relevant manpages and tools. (Closes: #508977)
  * debian/README.Debian: Fix "confident" typo. (Closes: #512648)
  * Drop pg_autovacuum handling, which was only necessary for 7.4 (8.0
    and above have internal autovacuuming). This was kept for Lenny to
    allow Etch backports. This also gets rid of pg_maintenance and
    /etc/cron.d/postgresql-common. (Closes: #425914, #481025)
  * Add debian/postgresql-common.preinst: Remove obsolete conffiles
    (cronjob and /etc/postgresql-common/autovacuum.conf) on upgrade.
  * Drop support for pre-8.1 clusters, together with all hacks and
    workarounds for those. Add Conflicts: to postgresql-{7.4,8.0}, to
    ensure that this version isn't used with ancient servers any more.
  * t/030_errors.t: Check that clusters on the same port can run side
    by side if they are using different Unix socket directories and
    different TCP addresses. This reproduces #514132.
  * pg_ctlcluster: Replace overly harsh port conflict check (which
    broke clusters on the same port, but different Unix/TCP
    namespaces) with a more modest one which just checks conflict on
    the same Unix socket directory. Thanks to Bernd Helmle for the
    patch! (Closes: #514132, #472627)
  * debian/postgresql-common.postinst: Do not call pg_updatedicts with
    full path (DP 6.1).
  * pg_lsclusters, pg_upgradecluster: Fix forgotten "=back" after
    itemize list in the POD. Thanks lintian.
  * debian/compat, debian/control: Bump compat level to 6.
  * pg_updatedicts: Ensure generated tsearch dictionaries are world
    readable when being generated under umask 077.
  * debian/README.Debian: Point out incompatibility between using the
    upstream tools (initdb) and the Debian tools (pg_createcluster)
    and give some recommendations. (LP: #138793)
  * debian/maintscripts-functions: Unset $GREP_OPTIONS. Thanks to
    Carlo Calderoni for noticing!

 -- Martin Pitt <email address hidden>   Thu,  19 Feb 2009 09:29:34 +0000

Upload details

Uploaded by:
Martin Pitt on 2009-02-19
Uploaded to:
Jaunty
Original maintainer:
Martin Pitt
Architectures:
all
Section:
misc
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Builds

Jaunty: [FULLYBUILT] i386

Downloads

File Size SHA-256 Checksum
postgresql-common_96.tar.gz 105.1 KiB cd7929693a6d9d4474393bc746f34d4b132bbce487373226266e30e698a474a3
postgresql-common_96.dsc 816 bytes 7475ae6baf14d4bb35b88c4974f8d1c1299a2eff6011784500820e4bee425181

Available diffs

View changes file

Binary packages built by this source

postgresql-client-common: No summary available for postgresql-client-common in ubuntu jaunty.

No description available for postgresql-client-common in ubuntu jaunty.

postgresql-common: No summary available for postgresql-common in ubuntu jaunty.

No description available for postgresql-common in ubuntu jaunty.